# 服务说明

服务使用 Gin + Gorm 开发

核心功能包括：问卷、问卷授权、定制体检等功能

## 部署方式

> Shell 脚本部署

```shell
bash deploy.sh
```

## 重点文件说明

> ./build.sh

Golang 服务打包脚本

> .env

配置文件

> /validators

该目录存储的是所有接口暴露的 Response 响应结构体

## 目录说明

目录结构遵循 Gin 框架标准

## 本地运行

1. 安装 Golang

2. 执行`go mod tidy`

3. 执行`go run main.go`
